package org.rcisoft.core.schedule;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.business.memInfo.bean.MemberInfoRedisBean;
import org.rcisoft.business.memInfo.dao.MemInfoRepository;
import org.rcisoft.business.memInfo.entity.MemLikeDTO;
import org.rcisoft.business.memInfo.service.MemInfoService;
import org.rcisoft.business.memInfo.service.impl.MemInfoServiceImpl;
import org.rcisoft.core.service.CyRedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Map;
import java.util.Set;

@Component
@Slf4j
@EnableScheduling
public class ScheduleTasks {

   @Autowired
   private MemInfoServiceImpl memInfoService;

    /**
     * 用户点赞数据定时任务 将点赞数据同步到对应的表中
     * 会员表 点赞表
     */
    @Scheduled(cron = "0 0 13 * * ?")
    public void userLikeSchedule() {
        memInfoService.userLikeSchedule();
    }
}
